Index: /ipk/source.sh4/titanswappicons_KabelD/CONTROL/control
===================================================================
--- /ipk/source.sh4/titanswappicons_KabelD/CONTROL/control	(revision 19706)
+++ /ipk/source.sh4/titanswappicons_KabelD/CONTROL/control	(revision 19706)
@@ -0,0 +1,10 @@
+Package: titan-plugin-swappicons-KabelD
+Version: 1.0
+Architecture: sh4
+OE: Picons
+Section: extra
+Priority: optional
+Maintainer: AAF
+Homepage: http://www.aaf-digital.info
+Source: http://www.aaf-digital.info
+Description: Kabel swap Deutschland Picons for tiTan.
Index: /ipk/source.sh4/titanswappicons_KabelD/CONTROL/postinst
===================================================================
--- /ipk/source.sh4/titanswappicons_KabelD/CONTROL/postinst	(revision 19706)
+++ /ipk/source.sh4/titanswappicons_KabelD/CONTROL/postinst	(revision 19706)
@@ -0,0 +1,13 @@
+#!/bin/sh
+TMP=/tmp/.picon
+echo "successfully installed"
+link=`readlink /var/swap`
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+exit 0
Index: /ipk/source.sh4/titanswappicons_KabelD/CONTROL/postrm
===================================================================
--- /ipk/source.sh4/titanswappicons_KabelD/CONTROL/postrm	(revision 19706)
+++ /ipk/source.sh4/titanswappicons_KabelD/CONTROL/postrm	(revision 19706)
@@ -0,0 +1,14 @@
+#!/bin/sh
+TMP=/tmp/.picon
+
+echo "successfully removed"
+link=`readlink /var/swap`
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+exit 0
Index: /ipk/source.sh4/titanswappicons_KabelD/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/titanswappicons_KabelD/CONTROL/preinst	(revision 19706)
+++ /ipk/source.sh4/titanswappicons_KabelD/CONTROL/preinst	(revision 19706)
@@ -0,0 +1,59 @@
+#!/bin/sh
+#
+TMP=/tmp/.picon
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+echo "checking swapstick"
+if [ ! -d /var/swap/bin/ ]; then
+  echo "--------------------------"
+	echo "no swapstick found...."
+	echo "--------------------------"
+	exit 1
+fi
+echo "swapstick found...."
+
+link=`readlink /var/swap`
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=560
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok		
+	fi
+else
+	echo "syncing disk"
+	sync
+fi
+
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
+
+echo "installing swap Picons for Titan..."
+
+exit 0
Index: /ipk/source.sh4/titanswappicons_KabelD/CONTROL/prerm
===================================================================
--- /ipk/source.sh4/titanswappicons_KabelD/CONTROL/prerm	(revision 19706)
+++ /ipk/source.sh4/titanswappicons_KabelD/CONTROL/prerm	(revision 19706)
@@ -0,0 +1,14 @@
+#!/bin/sh
+TMP=/tmp/.picon
+link=`readlink /var/swap`
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+
+echo "removing picons..."
+exit 0
